import { isArrayOf } from '../../utils/types'
import { AnnouncementResponse, isAnnouncementResponse } from '../announcement/types'

type AnnouncementsResponse = AnnouncementResponse[]

const isAnnouncementsResponse = (obj: unknown): obj is AnnouncementsResponse => (
    isArrayOf(obj, isAnnouncementResponse)
)

export type {
    AnnouncementsResponse,
}

export {
    isAnnouncementsResponse,
}
