import { isObject } from '../../utils/types'

type OsmAddressResponse = {
    display_name: string,
}

const isOsmAddressResponse = (obj: unknown): obj is OsmAddressResponse => (
    isObject(obj, {
        'display_name': 'string',
    })
)

export type {
    OsmAddressResponse,
}

export {
    isOsmAddressResponse,
}
