import { isObject } from '../../utils/types'

type PutAnnouncementResponse = {
    Success: boolean,
}

const isPutAnnouncementResponse = (obj: unknown): obj is PutAnnouncementResponse => (
    isObject(obj, {
        'Success': 'boolean',
    })
)

type PutAnnouncement = boolean

export type { PutAnnouncementResponse, PutAnnouncement }

export { isPutAnnouncementResponse }
