import { isObject } from '../../utils/types'

type SendRateResponse = {
    Success: boolean
}

const isSendRateResponse = (obj: unknown): obj is SendRateResponse => (
    isObject(obj, {
        'Success': 'boolean',
    })
)

type SendRate = boolean

export type { SendRateResponse, SendRate }

export { isSendRateResponse }
