import { isObject } from '../../utils/types'

type TokenResponse = {
    access_token: string,
}

const isTokenResponse = (obj: unknown): obj is TokenResponse => (
    isObject(obj, {
        'access_token': 'string',
    })
)

type Token = string

export type { TokenResponse, Token }

export { isTokenResponse }
