import { isObject } from '../../utils/types'

type BookResponse = {
    Success: boolean,
}

const isBookResponse = (obj: unknown): obj is BookResponse => (
    isObject(obj, {
        'Success': 'boolean',
    })
)

type Book = boolean

export type { BookResponse, Book }

export { isBookResponse }
