import { isObject } from '../../utils/types'

type UserRatingResponse = {
    rating: number
}

const isUserRatingResponse = (obj: unknown): obj is UserRatingResponse => (
    isObject(obj, {
        'rating': 'number',
    })
)

type UserRating = number

export type { UserRatingResponse, UserRating }

export { isUserRatingResponse }
