import L from 'leaflet'

import itemMarker from '../assets/itemMarker.png'
import trashMarker from '../assets/trashMarker.png'
import dormitoryMarker from '../assets/dormitoryMarker.png'
import letiMarker from '../assets/letiMarker.png'
import itmoMarker from '../assets/itmoMarker.png'


const iconItem = new L.Icon({
    iconUrl: itemMarker,
    iconRetinaUrl: itemMarker,
    popupAnchor: [0, 0],
    iconSize: [41, 41],
})

const iconTrash = new L.Icon({
    iconUrl: trashMarker,
    iconRetinaUrl: trashMarker,
    popupAnchor: [0, 0],
    iconSize: [34, 41],
})

const iconDormitory = new L.Icon({
    iconUrl: dormitoryMarker,
    iconRetinaUrl: dormitoryMarker,
    popupAnchor: [0, 0],
    iconSize: [41, 41],
})

const iconLETI = new L.Icon({
    iconUrl: letiMarker,
    iconRetinaUrl: letiMarker,
    popupAnchor: [0, 0],
    iconSize: [41, 41],
})

const iconITMO = new L.Icon({
    iconUrl: itmoMarker,
    iconRetinaUrl: itmoMarker,
    popupAnchor: [0, 0],
    iconSize: [41, 41],
})

export { iconItem, iconTrash, iconDormitory, iconLETI, iconITMO }
