import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'

const BACK_ADDRESS = 'http://127.0.0.1:8000'

// https://vitejs.dev/config/
export default defineConfig(
  ({ command }) => ({
    base: (command === 'serve') ? "/" : "/static",
    plugins: [react()],
    server: {
      proxy: {
        '/api': BACK_ADDRESS,
        '/static': BACK_ADDRESS,
        '/uploads': BACK_ADDRESS
      }
    }
  })
)
